Package org.bukkit.material

# Class Tree

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Wood
org.bukkit.material.Tree

All Implemented Interfaces:
  `Cloneable`

@Deprecated public class Tree extends Wood
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents the different types of Tree block that face a direction.

See Also:
  - `Material.LEGACY_LOG`
  - `Material.LEGACY_LOG_2`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final BlockFace`
`DEFAULT_DIRECTION`
Deprecated.
`protected static final Material`
`DEFAULT_TYPE`
Deprecated.

### Fields inherited from class org.bukkit.material.Wood

`DEFAULT_SPECIES`

## Constructor Summary

Constructors
Constructor
Description
`Tree()`
Deprecated.
Constructs a tree block.
`Tree(Material type)`
Deprecated.
Constructs a tree block of the given type.
`Tree(Material type, byte data)`
Deprecated.
Magic value
`Tree(Material type, TreeSpecies species)`
Deprecated.
Constructs a tree block of the given type and tree species.
`Tree(Material type, TreeSpecies species, BlockFace dir)`
Deprecated.
Constructs a tree block of the given type and tree species, and facing the given direction.
`Tree(TreeSpecies species)`
Deprecated.
Constructs a tree block of the given tree species.
`Tree(TreeSpecies species, BlockFace dir)`
Deprecated.
Constructs a tree block of the given tree species, and facing the given direction.

## Method Summary

Modifier and Type
Method
Description
`Tree`
`clone()`
Deprecated.
`BlockFace`
`getDirection()`
Deprecated.
Get direction of the log
`void`
`setDirection(BlockFace dir)`
Deprecated.
Set direction of the log
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.Wood

`getSpecies, setSpecies`

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_TYPE

protected static final Material DEFAULT_TYPE
Deprecated.

### DEFAULT_DIRECTION

protected static final BlockFace DEFAULT_DIRECTION
Deprecated.

## Constructor Details

### Tree

public Tree()
Deprecated.
Constructs a tree block.

### Tree

public Tree(TreeSpecies species)
Deprecated.
Constructs a tree block of the given tree species.

Parameters:
  `species` - the species of the tree block

### Tree

public Tree(TreeSpecies species, BlockFace dir)
Deprecated.
Constructs a tree block of the given tree species, and facing the given direction.

Parameters:
  `species` - the species of the tree block
  `dir` - the direction the tree block is facing

### Tree

public Tree(Material type)
Deprecated.
Constructs a tree block of the given type.

Parameters:
  `type` - the type of tree block

### Tree

public Tree(Material type, TreeSpecies species)
Deprecated.
Constructs a tree block of the given type and tree species.

Parameters:
  `type` - the type of tree block
  `species` - the species of the tree block

### Tree

public Tree(Material type, TreeSpecies species, BlockFace dir)
Deprecated.
Constructs a tree block of the given type and tree species, and facing the given direction.

Parameters:
  `type` - the type of tree block
  `species` - the species of the tree block
  `dir` - the direction the tree block is facing

### Tree

@Deprecated public Tree(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### getDirection

public BlockFace getDirection()
Deprecated.
Get direction of the log

Returns:
  one of:
  - BlockFace.TOP for upright (default)
  - BlockFace.NORTH (east-west)
  - BlockFace.WEST (north-south)
  - BlockFace.SELF (directionless)

### setDirection

public void setDirection(BlockFace dir)
Deprecated.
Set direction of the log

Parameters:
  `dir` - - direction of end of log (BlockFace.SELF for no direction)

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Wood`

### clone

public Tree clone()
Deprecated.

Overrides:
  `clone` in class `Wood`